/*
=============== TopStepFlow =================
*/
/*EIP 啟用轉換模組*/


/*
================ Left Button ================
*/

/*EIP 模組*/
function main_EipToOpcua_click(that)
{
	var LeftDivId="#Main_Left-List";
	var Class = new ListCommon();
	Class.ChangeDivCss(that, LeftDivId);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 1, "main_PathEipToOpcua_click(this)");
	Class = new LoadHtml();
	var Html = Class.ReadTranslateAfterOfHtml("./Plugin/EipToOpcua/html/UpdatePage.html");	
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/EipToOpcua/html/FirstPage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/EipToOpcua/html/SecondPage.html");
	$("#Main_Center-Content").empty();
	$("#Main_Center-Content").append(Html);
	Class = new EipToOpcuaUpdatePage();
	Class.Initialization();
	Class = null;
}
/*路徑 EIP*/
function main_PathEipToOpcua_click(that)
{
	var Class = new Path();
	Class.ClearTheDivOfTheTail(that, "#Main_Top-Path");
	$("#Main_Left-List").css("display", "block");
	Class = new EipToOpcuaSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
/*
=================Center Button=================
*/
/*
--------------------第一頁----------------------
*/
/*編輯*/
function main_EipToOpcuaSettingButton_click(that)
{
	var Class = new EipToOpcuaFirstPage();
	Class.EditButton(that);
	Class = null;
}
/*單模組打勾checkbox*/
function main_EipToOpcuaChangeCheckbox_click(that)
{
	var Class = new EipToOpcuaFirstPage();
	Class.ChangeCheckbox(that);
	Class = null;
}
/*全部模組打勾*/
function main_EipToOpcuaChangeAllCheckbox_click(that)
{
	var Class = new EipToOpcuaFirstPage();
	Class.ChangeAllCheckbox(that);
	Class = null;
} 
/*上一頁*/
function main_EipToOpcuaShowPreviousPage_click()
{
	var Class = new EipToOpcuaFirstPage();
	Class.ShowPreviousPage();
	Class = null;
}
/*下一頁*/
function main_EipToOpcuaShowNextPage_click()
{
	var Class = new EipToOpcuaFirstPage();
	Class.ShowNextPage();
	Class = null;
}
/*儲存按鈕*/
function main_EipToOpcuaSaveButton_click(that)
{
	var Class = new EipToOpcuaFirstPage();
	Class.SaveButton(that);
	Class = null;
}
/*
------------- 第二頁 ---------------
*/

/*確認*/
function main_EipToOpcuaConfirmButton_click()
{
	var Class = new EipToOpcuaSecondPage();
	Class.ConfirmButton();
	Class = null;
}
/*取消*/
function main_EipToOpcuaNoConfirmButton_click()
{
	var Class = new EipToOpcuaSecondPage();
	Class.NoConfirmButton();
	Class = null;
}